function [fncK] = getKernelMatrixGenerator(kernelName)
	switch(kernelName),
		case 'exp', fncK = @expKernelMatrixGenerator;
		case 'homopoly', fncK = @homopolyKernelMatrixGenerator;
		case 'poly', fncK = @polyKernelMatrixGenerator;
		otherwise, fprintf('Unknown Kernel type\n'); keyboard;
	end
end

% K(x,y) = exp(<x,y>/sigma)
function [kMat] = expKernelMatrixGenerator(features1,features2,args)
	kMat = exp((features1'*features2)/args);
end

% K(x,y) = <x,y>^p
function [kMat] = homopolyKernelMatrixGenerator(features1,features2,args)
	kMat = (features1'*features2).^args;
end

% K(x,y) = (1 + <x,y>)^p
function [kMat] = polyKernelMatrixGenerator(features1,features2,args)
	kMat = (1 + features1'*features2).^args;
end