% Create an empty structure
params = struct;

% Load it up with values

% Number of Splits available : decides number of runs
params.nRuns = 5;

% Details of datasets
params.datasets = {'nursery','spambase','cod-rna','letter','adult','mnist','ijcnn','covtype'};
params.datasetDimensions = [8,57,8,16,123,780,22,54];
params.numDatasets = size(params.datasets,2);

% How much data to use to calculate sigma
params.sigmaEst = 1000;

% How much training data to use
params.trainingFraction = 0.6;
params.maxTraining = 20000;

% How much validation data to use
params.validationFraction = 0.1;
params.maxValidation = 10000;

% Various kernel training parameters

% C in C-SVM
params.CVals = [1,10,100,1000];
params.numCVals = length(params.CVals);

% Values of degrees of polynomial kernels
params.pVals = [2,3,4,5,10];
params.numPVals = length(params.pVals);

% Values of multipliers for sigma values in Gaussian kernels
params.sigmaMults = [0.1,0.5,1,2];
params.numSigmaMults = length(params.sigmaMults);

% Training parameters like number of featurs and batch sizes for Recht-Rahimi
params.projDimen = [10,20,50,100,200,500,1000,2000,5000];
params.numProjDimen = length(params.projDimen);
params.batchSize = 20000;

save params.mat params